// AO_WriteValueDlg.h : header file
//

#if !defined(AFX_AO_WRITEVALUEDLG_H__7EB3931B_8DA5_4601_8898_9E5DE63BF47E__INCLUDED_)
#define AFX_AO_WRITEVALUEDLG_H__7EB3931B_8DA5_4601_8898_9E5DE63BF47E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CAO_WriteValueDlg dialog

class CAO_WriteValueDlg : public CDialog
{
// Construction
public:
	CAO_WriteValueDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAO_WriteValueDlg)
	enum { IDD = IDD_AO_WRITEVALUE_DIALOG };
	CEdit	m_txtDigital_Value;
	CEdit	m_txtDigital_CH;
	CEdit	m_txtAnalog_Value;
	CEdit	m_txtAnalog_CH;
	CButton	m_WriteValueDigital;
	CButton	m_WriteChValueDigital;
	CButton	m_WrireChValueAnalog;
	CButton	m_WriteValueAnalog;
	CEdit	m_txtBID;
	CListBox	m_lbModuleInfo;
	CListBox	m_lbExpValue;
	CListBox	m_lbCurValue;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAO_WriteValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CAO_WriteValueDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnWriteValueDigital();
	afx_msg void OnWriteChValueDigital();
	afx_msg void OnWriteValueAnalog();
	afx_msg void OnWriteChValueAnalog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

// Method
private:
	void ShowValue(void);
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_AO_WRITEVALUEDLG_H__7EB3931B_8DA5_4601_8898_9E5DE63BF47E__INCLUDED_)
